---
title: Submit feedback on an ownership inference
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > CSM Ownership
---

# Submit feedback on an ownership inference{% #submit-feedback-on-an-ownership-inference %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and may be subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/csm/ownership/{resource_id}/{owner_type}/feedback |

### Overview



Submit feedback on the current ownership inference for a resource and owner type. Valid actions are `confirm`, `reject`, `correct`, and `persist`.

The request must include the current inference `checksum` in `inference_checksum`. If the checksum does not match the current inference state, the endpoint returns `409 Conflict`.

When `action` is `correct`, `corrected_owner_handle` and `corrected_owner_type` are required.



### Arguments

#### Path Parameters

| Name                          | Type   | Description                                                  |
| ----------------------------- | ------ | ------------------------------------------------------------ |
| resource_id [*required*] | string | The identifier of the resource that the feedback applies to. |
| owner_type [*required*]  | string | The type of owner that the feedback applies to.              |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                                | Type   | Description                                                                                                                                     |
| ------------ | ------------------------------------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]               | object | The data wrapper for an ownership feedback request.                                                                                             |
| data         | attributes [*required*]         | object | The attributes of an ownership feedback request.                                                                                                |
| attributes   | action [*required*]             | enum   | The feedback action to apply to an inference. Allowed enum values: `confirm,reject,correct,persist`                                             |
| attributes   | actor_handle [*required*]       | string | The handle of the actor submitting the feedback.                                                                                                |
| attributes   | actor_type [*required*]         | string | The type of actor submitting the feedback, for example `user` or `service`.                                                                     |
| attributes   | corrected_owner_handle               | string | The corrected owner handle. Required when `action` is `correct`.                                                                                |
| attributes   | corrected_owner_type                 | string | The corrected owner type. Required when `action` is `correct`.                                                                                  |
| attributes   | inference_checksum [*required*] | string | The checksum of the inference being acted upon. Must match the current inference checksum or the request returns a conflict.                    |
| attributes   | reason                               | string | An optional free-form reason explaining the feedback.                                                                                           |
| data         | type [*required*]               | enum   | The type of the ownership feedback request resource. The value should always be `ownership_feedback`. Allowed enum values: `ownership_feedback` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": "confirm",
      "actor_handle": "user@example.com",
      "actor_type": "user",
      "corrected_owner_handle": "team-b",
      "corrected_owner_type": "team",
      "inference_checksum": "abc123",
      "reason": "Confirmed by team lead."
    },
    "type": "ownership_feedback"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
Created
{% tab title="Model" %}
The response returned after applying ownership feedback to an inference.

| Parent field | Field                             | Type      | Description                                                                                                                                                  |
| ------------ | --------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]            | object    | The data wrapper for an ownership feedback result response.                                                                                                  |
| data         | attributes [*required*]      | object    | The attributes of an ownership feedback result.                                                                                                              |
| attributes   | action [*required*]          | enum      | The feedback action to apply to an inference. Allowed enum values: `confirm,reject,correct,persist`                                                          |
| attributes   | checksum [*required*]        | string    | The checksum of the inference after the feedback was applied.                                                                                                |
| attributes   | new_status [*required*]      | enum      | The lifecycle status of an ownership inference. Allowed enum values: `suggested,persisted,overridden,failed,unknown`                                         |
| attributes   | owner_type [*required*]      | enum      | The owner type for an ownership inference. Allowed enum values: `user,team,service,unknown`                                                                  |
| attributes   | previous_status [*required*] | enum      | The lifecycle status of an ownership inference. Allowed enum values: `suggested,persisted,overridden,failed,unknown`                                         |
| attributes   | primary_contact_ref               | string    | The primary contact reference for the inferred owner after the feedback was applied, formatted as `ref:handle/<owner_handle>`.                               |
| attributes   | updated_at [*required*]      | date-time | The time when the inference was updated by the feedback.                                                                                                     |
| data         | id [*required*]              | string    | The identifier of the resource that the feedback was applied to.                                                                                             |
| data         | type [*required*]            | enum      | The type of the ownership feedback result resource. The value should always be `ownership_feedback_result`. Allowed enum values: `ownership_feedback_result` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": "confirm",
      "checksum": "abc123",
      "new_status": "suggested",
      "owner_type": "team",
      "previous_status": "suggested",
      "primary_contact_ref": "ref:handle/team-a",
      "updated_at": "2026-01-15T10:00:00Z"
    },
    "id": "res-1",
    "type": "ownership_feedback_result"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
The response returned when retrieving a single ownership inference for an owner type.

| Parent field | Field                               | Type      | Description                                                                                                                                |
| ------------ | ----------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]              | object    | The data wrapper for a single ownership inference response.                                                                                |
| data         | attributes [*required*]        | object    | The attributes of a single ownership inference.                                                                                            |
| attributes   | checksum [*required*]          | string    | A checksum that uniquely identifies the current state of the inference. Required when submitting feedback.                                 |
| attributes   | confidence [*required*]        | string    | The confidence score of the inference, expressed as a numeric string with up to four decimal places.                                       |
| attributes   | created_at [*required*]        | date-time | The time when the inference was created.                                                                                                   |
| attributes   | evidence_versions [*required*] | [object]  | The list of evidence versions associated with an inference.                                                                                |
| attributes   | explanation [*required*]       | string    | A human-readable explanation of how the inference was produced.                                                                            |
| attributes   | owner_type [*required*]        | enum      | The owner type for an ownership inference. Allowed enum values: `user,team,service,unknown`                                                |
| attributes   | primary_contact_ref                 | string    | The primary contact reference for the inferred owner, formatted as `ref:handle/<owner_handle>`.                                            |
| attributes   | sources [*required*]           | [object]  | The list of sources backing an ownership inference. Empty when the inference status is not whitelisted to expose sources.                  |
| attributes   | status [*required*]            | enum      | The lifecycle status of an ownership inference. Allowed enum values: `suggested,persisted,overridden,failed,unknown`                       |
| attributes   | updated_at [*required*]        | date-time | The time when the inference was last updated.                                                                                              |
| data         | id [*required*]                | string    | The identifier of the inference, formatted as `resource_id:owner_type`.                                                                    |
| data         | type [*required*]              | enum      | The type of the ownership inference resource. The value should always be `ownership_inference`. Allowed enum values: `ownership_inference` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "checksum": "abc123",
      "confidence": "0.9500",
      "created_at": "2026-01-15T10:00:00Z",
      "evidence_versions": [
        []
      ],
      "explanation": "High confidence match",
      "owner_type": "team",
      "primary_contact_ref": "ref:handle/team-a",
      "sources": [
        []
      ],
      "status": "suggested",
      "updated_at": "2026-01-15T10:00:00Z"
    },
    "id": "test-resource:team",
    "type": "ownership_inference"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export resource_id="res-1" export owner_type="team" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/csm/ownership/${resource_id}/${owner_type}/feedback" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "action": "confirm",
      "actor_handle": "user@example.com",
      "actor_type": "user",
      "inference_checksum": "abc123"
    },
    "type": "ownership_feedback"
  }
}
EOF 
                
##### 

```python
"""
Submit feedback on an ownership inference returns "Created" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.csm_ownership_api import CSMOwnershipApi
from datadog_api_client.v2.model.ownership_feedback_action import OwnershipFeedbackAction
from datadog_api_client.v2.model.ownership_feedback_request import OwnershipFeedbackRequest
from datadog_api_client.v2.model.ownership_feedback_request_attributes import OwnershipFeedbackRequestAttributes
from datadog_api_client.v2.model.ownership_feedback_request_data import OwnershipFeedbackRequestData
from datadog_api_client.v2.model.ownership_feedback_type import OwnershipFeedbackType
from datadog_api_client.v2.model.ownership_owner_type import OwnershipOwnerType

body = OwnershipFeedbackRequest(
    data=OwnershipFeedbackRequestData(
        attributes=OwnershipFeedbackRequestAttributes(
            action=OwnershipFeedbackAction.CONFIRM,
            actor_handle="user@example.com",
            actor_type="user",
            corrected_owner_handle="team-b",
            corrected_owner_type="team",
            inference_checksum="abc123",
            reason="Confirmed by team lead.",
        ),
        type=OwnershipFeedbackType.OWNERSHIP_FEEDBACK,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_ownership_feedback"] = True
with ApiClient(configuration) as api_client:
    api_instance = CSMOwnershipApi(api_client)
    response = api_instance.create_ownership_feedback(
        resource_id="res-1", owner_type=OwnershipOwnerType.TEAM, body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Submit feedback on an ownership inference returns "Created" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_ownership_feedback".to_sym] = true
end
api_instance = DatadogAPIClient::V2::CSMOwnershipAPI.new

body = DatadogAPIClient::V2::OwnershipFeedbackRequest.new({
  data: DatadogAPIClient::V2::OwnershipFeedbackRequestData.new({
    attributes: DatadogAPIClient::V2::OwnershipFeedbackRequestAttributes.new({
      action: DatadogAPIClient::V2::OwnershipFeedbackAction::CONFIRM,
      actor_handle: "user@example.com",
      actor_type: "user",
      corrected_owner_handle: "team-b",
      corrected_owner_type: "team",
      inference_checksum: "abc123",
      reason: "Confirmed by team lead.",
    }),
    type: DatadogAPIClient::V2::OwnershipFeedbackType::OWNERSHIP_FEEDBACK,
  }),
})
p api_instance.create_ownership_feedback("res-1", OwnershipOwnerType::TEAM, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Submit feedback on an ownership inference returns "Created" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OwnershipFeedbackRequest{
		Data: datadogV2.OwnershipFeedbackRequestData{
			Attributes: datadogV2.OwnershipFeedbackRequestAttributes{
				Action:               datadogV2.OWNERSHIPFEEDBACKACTION_CONFIRM,
				ActorHandle:          "user@example.com",
				ActorType:            "user",
				CorrectedOwnerHandle: *datadog.NewNullableString(datadog.PtrString("team-b")),
				CorrectedOwnerType:   *datadog.NewNullableString(datadog.PtrString("team")),
				InferenceChecksum:    "abc123",
				Reason:               *datadog.NewNullableString(datadog.PtrString("Confirmed by team lead.")),
			},
			Type: datadogV2.OWNERSHIPFEEDBACKTYPE_OWNERSHIP_FEEDBACK,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateOwnershipFeedback", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCSMOwnershipApi(apiClient)
	resp, r, err := api.CreateOwnershipFeedback(ctx, "res-1", datadogV2.OWNERSHIPOWNERTYPE_TEAM, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CSMOwnershipApi.CreateOwnershipFeedback`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CSMOwnershipApi.CreateOwnershipFeedback`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Submit feedback on an ownership inference returns "Created" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CsmOwnershipApi;
import com.datadog.api.client.v2.model.OwnershipFeedbackAction;
import com.datadog.api.client.v2.model.OwnershipFeedbackRequest;
import com.datadog.api.client.v2.model.OwnershipFeedbackRequestAttributes;
import com.datadog.api.client.v2.model.OwnershipFeedbackRequestData;
import com.datadog.api.client.v2.model.OwnershipFeedbackResponse;
import com.datadog.api.client.v2.model.OwnershipFeedbackType;
import com.datadog.api.client.v2.model.OwnershipOwnerType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createOwnershipFeedback", true);
    CsmOwnershipApi apiInstance = new CsmOwnershipApi(defaultClient);

    OwnershipFeedbackRequest body =
        new OwnershipFeedbackRequest()
            .data(
                new OwnershipFeedbackRequestData()
                    .attributes(
                        new OwnershipFeedbackRequestAttributes()
                            .action(OwnershipFeedbackAction.CONFIRM)
                            .actorHandle("user@example.com")
                            .actorType("user")
                            .correctedOwnerHandle("team-b")
                            .correctedOwnerType("team")
                            .inferenceChecksum("abc123")
                            .reason("Confirmed by team lead."))
                    .type(OwnershipFeedbackType.OWNERSHIP_FEEDBACK));

    try {
      OwnershipFeedbackResponse result =
          apiInstance.createOwnershipFeedback("res-1", OwnershipOwnerType.TEAM, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CsmOwnershipApi#createOwnershipFeedback");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Submit feedback on an ownership inference returns "Created" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_csm_ownership::CSMOwnershipAPI;
use datadog_api_client::datadogV2::model::OwnershipFeedbackAction;
use datadog_api_client::datadogV2::model::OwnershipFeedbackRequest;
use datadog_api_client::datadogV2::model::OwnershipFeedbackRequestAttributes;
use datadog_api_client::datadogV2::model::OwnershipFeedbackRequestData;
use datadog_api_client::datadogV2::model::OwnershipFeedbackType;
use datadog_api_client::datadogV2::model::OwnershipOwnerType;

#[tokio::main]
async fn main() {
    let body = OwnershipFeedbackRequest::new(OwnershipFeedbackRequestData::new(
        OwnershipFeedbackRequestAttributes::new(
            OwnershipFeedbackAction::CONFIRM,
            "user@example.com".to_string(),
            "user".to_string(),
            "abc123".to_string(),
        )
        .corrected_owner_handle(Some("team-b".to_string()))
        .corrected_owner_type(Some("team".to_string()))
        .reason(Some("Confirmed by team lead.".to_string())),
        OwnershipFeedbackType::OWNERSHIP_FEEDBACK,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateOwnershipFeedback", true);
    let api = CSMOwnershipAPI::with_config(configuration);
    let resp = api
        .create_ownership_feedback("res-1".to_string(), OwnershipOwnerType::TEAM, body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Submit feedback on an ownership inference returns "Created" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createOwnershipFeedback"] = true;
const apiInstance = new v2.CSMOwnershipApi(configuration);

const params: v2.CSMOwnershipApiCreateOwnershipFeedbackRequest = {
  body: {
    data: {
      attributes: {
        action: "confirm",
        actorHandle: "user@example.com",
        actorType: "user",
        correctedOwnerHandle: "team-b",
        correctedOwnerType: "team",
        inferenceChecksum: "abc123",
        reason: "Confirmed by team lead.",
      },
      type: "ownership_feedback",
    },
  },
  resourceId: "res-1",
  ownerType: "team",
};

apiInstance
  .createOwnershipFeedback(params)
  .then((data: v2.OwnershipFeedbackResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
